clc; clearall; closeall;
val = load ( 'odfiltrovany2.mat');
prubeh = val.odfiltrovany2;     % načtení naměřených dat
 
N = length( prubeh);    	  % určení počtu prvků v naměřených datech
n = 1:N;
t = n/(1/50e-3);        	  % vytvoření časové osy pro průběhy
 
counter = 1;
% vzorky mimo očekávaného časového intervalu jsou považovány za šum a
% jejich hodnota je tak nastavena na hodnotu 0
while ( counter< N)
prubeh( counter+124:counter+263) = 0;
% 1. až 125. vzorek zůstává zachován, ostatní jsou vynulovány
counter = counter+264;
% posunutí o 264 vzorků dál
end
    
count = N;
% vzorky, které byly v předchozím cyklu nastaveny na 0 jsou teď úplně
% odstraněny, aby se v grafu vůbec nezobrazovaly
while(count> 1)
if(prubeh(count) == 0)
prubeh(count) = [];
t(count) = [];
end
count = count-1;
end
 
figure( 1);
subplot(2,1,1);         	   % příprava okna pro grafy
plot(t, prubeh, '.g');          % vykreslení průběhu s odstraněným šumem
xlabel('t [ms] \rightarrow');   % popis časové osy
 
x2 = t;
y2 = prubeh;                	% vytvoření kopie dat pro aproximaci
 
c2 = polyfit(log(x2),log(y2),1);
xInt2 = linspace(x2(1),x2(length(x2)),250);
yInt2 = exp(c2(2))*xInt2.^(c2(1));  % aproximace exponenciálního průběhu 
xInt2(1) = [];
yInt2(1) = [];              % odstranění první hodnoty aproximace
 
subplot(2,1,2);
% vykreslení naměřených dat s odstraněným šumem spolu s aproximovaným
% průběhem
plot(x2,y2,'.g',xInt2,yInt2,'.r');
